Package ru.bitel.bgbilling.modules.megogo.common.bean

# Class MegogoSubscription

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.modules.megogo.common.bean.MegogoSubscription

All Implemented Interfaces:
  `java.io.Serializable`, `GuiTitlable`, `Idable`, `ListItem`

    public class MegogoSubscription
    extends IdTitle

Услуга/подписка модуля Megogo.
Это так сказать расширение стандартной услуги модуля, данная услуга ссылается на код услуги с которой фактически будет наработка.
Title используется только в вебе.

See Also:
  Serialized Form

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static int` | `SUBSCRIPTION_TYPE_ANY` | Любой тип подписки
  `static int` | `SUBSCRIPTION_TYPE_MAIN` | Основная подписка, может быть только одна в один момент времени
  `static int` | `SUBSCRIPTION_TYPE_OPTIONAL_INDEPENDENT` | Дополнительная независемая подписка

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `MegogoSubscription()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getComment()` |
  `java.lang.String` | `getKey()` |
  `java.util.Date` | `getLm()` |
  `int` | `getSid()` |
  `int` | `getType()` |
  `int` | `getUserId()` |
  `boolean` | `isUsed()` |
  `void` | `setComment​(java.lang.String comment)` |
  `void` | `setKey​(java.lang.String key)` |
  `void` | `setLm​(java.util.Date lm)` |
  `void` | `setSid​(int serviceId)` |
  `void` | `setType​(int type)` |
  `void` | `setUsed​(boolean used)` |
  `void` | `setUserId​(int userId)` |

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Field Details

  - ### SUBSCRIPTION_TYPE_MAIN

    public static final int SUBSCRIPTION_TYPE_MAIN
    Основная подписка, может быть только одна в один момент времени
    See Also:
      Constant Field Values

  - ### SUBSCRIPTION_TYPE_OPTIONAL_INDEPENDENT

    public static final int SUBSCRIPTION_TYPE_OPTIONAL_INDEPENDENT
    Дополнительная независемая подписка
    See Also:
      Constant Field Values

  - ### SUBSCRIPTION_TYPE_ANY

    public static final int SUBSCRIPTION_TYPE_ANY
    Любой тип подписки
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### MegogoSubscription

    public MegogoSubscription()

- ## Method Details

  - ### getSid

    public int getSid()

  - ### setSid

    public void setSid​(int serviceId)

  - ### getType

    public int getType()

  - ### setType

    public void setType​(int type)

  - ### getComment

    public java.lang.String getComment()

  - ### setComment

    public void setComment​(java.lang.String comment)

  - ### isUsed

    public boolean isUsed()

  - ### setUsed

    public void setUsed​(boolean used)

  - ### getKey

    public java.lang.String getKey()

  - ### setKey

    public void setKey​(java.lang.String key)

  - ### getUserId

    public int getUserId()

  - ### setUserId

    public void setUserId​(int userId)

  - ### getLm

    public java.util.Date getLm()

  - ### setLm

    public void setLm​(java.util.Date lm)